using System;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Text;

namespace UWBGL_XNA_Lib7
{
    public static class UWB_Utility
    {
		public const double zeroTolerance = 1.0e-9;

        public static TextBox mEchoTextBox;

        public static void echoToStatusArea(string echoString)
        {
            if (mEchoTextBox.Created)
                mEchoTextBox.Text = echoString;
        }

		public static float UWB_RandomNumber(float range)
		{
			Random rand = new Random();
			return range * (float)rand.NextDouble();
		}

		public static float UWB_RandomNumber(float minRange, float maxRange)
		{
			float size = maxRange - minRange;
			return minRange + UWB_RandomNumber(size);
		}
    }
}
