using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using UWBGL_WinForms_Lib1;
using UWBGL_XNA_Lib13;

namespace XNA_SceneNode
{
    public class CBall : UWB_PrimitiveCircle
    {
        public CBall(float x, float y, float z)
        {
            setShadingColor(new Color(255, 255, 255));
            setFlatColor(new Color(0, 0, 0));
            setCenter(x, y, z);
            setRadius(0.2f);
        }

        public override void update(float elapsedSeconds)
        {
            Vector3 acc = new Vector3(0.0f, -5.0f * elapsedSeconds, 0.0f);
            setVelocity(getVelocity() + acc);

            base.update(elapsedSeconds);
        }
    }
}

