using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using UWBGL_XNA_Lib3;

namespace XNA_BallShoot
{
    public class Ball : UWB_XNACircleGeometry
    {
        private Vector3 mVelocity;

        public Ball()
        {
            mVelocity = new Vector3(0, 0, 0);
        }

        public Vector3 getVelocity()
        {
            return mVelocity;
        }

        public void setVelocity(Vector3 velocity)
        {
            mVelocity = velocity;
        }

        public bool isOutsideBounds(float boundsWidth, float boundsHeight)
        {
            float minx = m_center.X - m_radius;
            float miny = m_center.Y - m_radius;
            float maxx = m_center.X + m_radius;
            float maxy = m_center.Y + m_radius;

            return ((maxx < 0) || (minx > boundsWidth) || (maxy < 0) || (miny > boundsHeight));
        }
    }
}
